Module java.desktop
Package javax.swing.text.html

## Class HTMLDocument.HTMLReader.FormAction

- java.lang.Object
- - javax.swing.text.html.HTMLDocument.HTMLReader.TagAction
  - - javax.swing.text.html.HTMLDocument.HTMLReader.SpecialAction
    - - javax.swing.text.html.HTMLDocument.HTMLReader.FormAction

- Enclosing class:
    HTMLDocument.HTMLReader

      public class HTMLDocument.HTMLReader.FormAction
      extends HTMLDocument.HTMLReader.SpecialAction

  Action to support forms by building all of the elements used to represent form controls. This will process the <INPUT>, <TEXTAREA>, <SELECT>, and <OPTION> tags. The element created by this action is expected to have the attribute `StyleConstants.ModelAttribute` set to the model that holds the state for the form control. This enables multiple views, and allows document to be iterated over picking up the data of the form. The following are the model assignments for the various type of form elements.

  Model assignments for the various types of form elements
  Element Type | Model Type
  --- | ---
  input, type button | `DefaultButtonModel`
  input, type checkbox | `JToggleButton.ToggleButtonModel`
  input, type image | `DefaultButtonModel`
  input, type password | `PlainDocument`
  input, type radio | `JToggleButton.ToggleButtonModel`
  input, type reset | `DefaultButtonModel`
  input, type submit | `DefaultButtonModel`
  input, type text or type is null. | `PlainDocument`
  select | `DefaultComboBoxModel` or an `DefaultListModel`, with an item type of Option
  textarea | `PlainDocument`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FormAction​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `end​(HTML.Tag t)` | Called when an end tag is seen for the type of tag this action was registered to.
    `void` | `start​(HTML.Tag t, MutableAttributeSet attr)` | Called when a start tag is seen for the type of tag this action was registered to.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormAction

          public FormAction​()

  - ### Method Detail

    - #### start

          public void start​(HTML.Tag t,
                            MutableAttributeSet attr)

      Description copied from class: `HTMLDocument.HTMLReader.TagAction`
      Called when a start tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.
      Overrides:
        `start` in class `HTMLDocument.HTMLReader.SpecialAction`
      Parameters:
        `t` - the HTML tag
        `attr` - the attributes

    - #### end

          public void end​(HTML.Tag t)

      Description copied from class: `HTMLDocument.HTMLReader.TagAction`
      Called when an end tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.
      Overrides:
        `end` in class `HTMLDocument.HTMLReader.TagAction`
      Parameters:
        `t` - the HTML tag